Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.app.componentxml
Class ComponentXmlException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              nextapp.echo2.app.componentxml.ComponentXmlException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  InvalidPropertyException

    public class ComponentXmlException

extends java.lang.Exception

An exception describing a general failure in the execution of loading component / stylesheet resources from XML.

See Also:
  Serialized Form

Constructor Summary
`ComponentXmlException(java.lang.String message, java.lang.Throwable cause)` Creates a new `ComponentXmlException`.

Method Summary
`java.lang.Throwable` | `getCause()` Returns the causing exception, if applicable.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ComponentXmlException

    public ComponentXmlException(java.lang.String message,
                                 java.lang.Throwable cause)

  Creates a new `ComponentXmlException`.

  Parameters:
    `message` - A message describing the problem
    `cause` - the exception which caused this exception, if applicable

Method Detail

### getCause

    public java.lang.Throwable getCause()

  Returns the causing exception, if applicable.

  Overrides:
    `getCause` in class `java.lang.Throwable`
  Returns:
    the causing exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD